Piloterr

Eleclerc Stores Finder

GET
/v2/finder/eleclerc-stores

Search Eleclerc stores by name or city to retrieve contact details, opening hours, and geolocation.

Authorization

ApiKeyAuth
headerx-api-key<token>

Your API key. Include it in the x-api-key header for every request.

Query Parameters

query*string

Filters stores based on a search string. The search is non-case-sensitive and returns all stores whose names contain the specified string.

Example:

paris

Response Body

Successful response

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://api.piloterr.com/v2/finder/eleclerc-stores?query=string'
Example Response
[  {    "id": "1893t128t1",    "name": "PARIS PICPUS",    "address": {      "city": "PARIS",      "lines": [        "67 rue de Picpus"      ],      "zipcode": "75012",      "country_code": null    },    "contact": {      "email": null,      "phone": "01 87 46 07 00"    },    "geometry": {      "type": "Point",      "coordinates": [        2.3950581,        48.8454278      ]    },    "store_id": "1893",    "opening_hours": {      "usual": {        "1": [          {            "end": "21:30",            "start": "07:30"          }        ],        "2": [          {            "end": "21:30",            "start": "07:30"          }        ],        "3": [          {            "end": "21:30",            "start": "07:30"          }        ],        "4": [          {            "end": "21:30",            "start": "07:30"          }        ],        "5": [          {            "end": "21:30",            "start": "07:30"          }        ],        "6": [          {            "end": "21:30",            "start": "07:30"          }        ],        "7": [          {            "end": "13:00",            "start": "08:30"          }        ]      },      "timezone": "Europe/Paris"    },    "weekly_opening": {      "1": {        "hours": [          {            "end": "21:30",            "start": "07:30"          }        ],        "isSpecial": false      },      "2": {        "hours": [          {            "end": "21:30",            "start": "07:30"          }        ],        "isSpecial": false      },      "3": {        "hours": [          {            "end": "21:30",            "start": "07:30"          }        ],        "isSpecial": false      },      "4": {        "hours": [          {            "end": "21:30",            "start": "07:30"          }        ],        "isSpecial": false      },      "5": {        "hours": [          {            "end": "21:30",            "start": "07:30"          }        ],        "isSpecial": false      },      "6": {        "hours": [          {            "end": "21:30",            "start": "07:30"          }        ],        "isSpecial": false      },      "7": {        "hours": [          {            "end": "13:00",            "start": "08:30"          }        ],        "isSpecial": false      },      "timezone": "Europe/Paris"    }  }]